Skip to main content
POST
Create a signature transaction

Authorizations

Authorization
string
header
required

Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.

Body

application/json
owner
string
required

The ID of the owner.

signerId
string
required

The ID of the requested signer.

signatureRequests
string<uuid>[]
required

The signature request IDs to include in the signature transaction.

The ID of a signature request to include in the signature transaction.

notaryId
string

The ID of the requested notary.

timezoneId
string

IANA time zone that should be set for the signature transaction.

Response

Signature transaction created successfully.

id
string<uuid>
required

The ID of the signature transaction.

owner
string
required

The ID of the owner.

signerId
string
required

The ID of the requested signer.

externalSignerId
string
required

The ID of the requested signer with the signing provider.

signatureRequests
string<uuid>[]
required

The signature request IDs to include in the signature transaction.

The ID of a signature request to include in the signature transaction.

status
enum<string>
required

The status of the signature transaction. It starts in pending and transitions to completed or failed.

Available options:
pending,
completed,
failed
createdOn
string<date-time>
required

Timestamp when the signature transaction was created.

signatureProvider
string
required

The signing provider that should be used for this transaction.

notaryId
string

The ID of the requested notary.

externalNotaryId
string

The ID of the requested notary with the signing provider.

completedOn
string<date-time>

Timestamp when the signature transaction was completed.

failedOn
string<date-time>

Timestamp when the signature transaction failed or was rejected.

notaryReadyOn
string<date-time>

Timestamp when the notary joined the signature transaction.

signingStartedOn
string<date-time>

Timestamp when the earliest signing was started.

signingCompletedOn
string<date-time>

Timestamp when the latest signing was completed (or null if any request has not been completed).

notaryStartedOn
string<date-time>

Timestamp when the earliest notarization was started.

notaryCompletedOn
string<date-time>

Timestamp when the latest notarization was completed (or null if any request has not been completed).

otpRequired
boolean

Whether an OTP token must be supplied to fetch the signing URL (true when the creditor's OTP method is email; SMS is handled natively in the signing ceremony).

otpMethod
string

The creditor's configured OTP method (e.g. email or sms).